import { RedisClientType } from "redis";
export declare class Base {
    protected client: RedisClientType;
    key: string;
    useJSON: boolean;
    constructor(client: RedisClientType, key: string, useJSON?: boolean);
    /**
     * Call a Redis method (bind current storage key)
     */
    call(method: string, ...args: any[]): Function;
    /**
     * Completely removes the key from storage using `DEL this.key`
     */
    removeKey(): Promise<number>;
}
