/**
 * Library access point and NPM settings
 *
 * @module index
 */
import { RedisClientType } from 'redis';
import { Hash } from './hash';
import { List } from './list';
import { Set } from './set';
export * as json from './json';
export { Hash, List, Set };
/**
 * Bind a client to simplify Class instantiation.
 * @param client
 */
export declare function bind(client: RedisClientType): {
    Hash<T>(name: string, useJSON?: boolean): Hash<T>;
    List<T_1>(name: string, useJSON?: boolean): List<T_1>;
    Set(name: string, useJSON?: boolean): Set;
};
